:root {
  --primary-color: #4caf50; /* Leafy Green */
  --text-color: #07120899; /* Neutral Gray */
  --dark: #071208;
  --dark-transparent: rgba(0, 0, 0, 0.4);
  --light-transparent: #f1f1f4b9;
  --background-color: #f1f1f4; /* Clean White */
  --footer-color: #ebebf0;
  --primary-shadow: 0px 6px 15px -7px rgba(0, 0, 0, 0.1);
  --light-blue: #4c9daf33;
  --accent-red: #c57878;
  --accent-red-op: #c578784d;
  --accent-yellow: #ffc700;
  --accent-red-vibrant: #d84315;

  --secondary-color: #8d6e63; /* Earthy Brown */
  --accent-color: #ff9800; /* Sunrise Orange */
  --accent2-color: #9575cd; /* Lavender Purple */
  --accent3-color: #d84315; /* Rust Accent */
  --text-color-old: #75757580; /* Neutral Gray */
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}


.small-text {
  color: var(--text-color);
  font-size: 0.8rem; /* 12.8px */
  line-height: 150%;
}

.smaller-text {
  color: var(--text-color);
  font-size: 10.5px;
  line-height: 150%;
}

.p-text {
  color: var(--text-color);
  font-size: 1rem;
  line-height: 150%;
}

.p-text-accent {
  color: var(--primary-color);
  font-size: 1rem;
  line-height: 150%;
}

.p-text-dark {
  color: var(--dark);
  font-size: 1rem;
  line-height: 150%;
}

.p-text-truncate {
  color: var(--text-color);
  font-size: 1rem;
  line-height: 150%;
  width: 200px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.p-text-truncate-long {
  color: var(--text-color);
  font-size: 1rem;
  line-height: 150%;
  width: 400px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.h1-text {
  color: var(--dark);
  font-size: 2.5rem;
  line-height: 125%;
  font-weight: 700;
}

.h2-text {
  color: var(--dark);
  font-size: 2rem;
  line-height: 125%;
  font-weight: 600;
}

.h2-text-light {
  color: white;
  font-size: 2rem;
  line-height: 125%;
  font-weight: 600;
}

.h3-text-dark {
  color: var(--dark);
  font-size: 1.5rem;
  line-height: 125%;
  font-weight: 600;
}

.h3-text-light {
  color: var(--background-color);
  color: white;
  font-size: 1.5rem;
  line-height: 125%;
  font-weight: 600;
}

.h4-text {
  color: var(--dark);
  font-size: 1.25rem;
  line-height: 125%;
  font-weight: 600;
}

.h4-text-light {
  color: var(--text-color);
  font-size: 1.25rem;
  line-height: 125%;
  font-weight: 600;
}

.text-60 {
  color: var(--dark);
  font-size: 3.75rem;
  line-height: 125%;
  font-weight: 600;
}

.icon {
  font-size: 1.5rem;
  color: var(--dark);
}

.footer-icon {
  font-size: 1.5rem;
  color: var(--text-color);
}

.button-icon {
  font-size: 1rem;
  color: var(--dark);
}

.small-icon {
  font-size: 0.8rem;
  /* color: var(--text-color-old); */
}

.big-icon {
  font-size: 3.75rem;
  color: var(--primary-color);
}

.margin-container {
  margin: 0 12rem;

  @media (min-width: 125em) {
    margin: 0 30rem;
  }
}

.padding-container {
  padding: 0 12rem;

  @media (min-width: 125em) {
    padding: 0 30rem;
  }
}

.hero-padding-container {
  padding: 0 9rem 0 12rem;

  @media (min-width: 125em) {
    padding: 0 25rem 0 30rem;
  }
}

.margin-container-left {
  margin: 0 0 0 12rem;

  @media (min-width: 125em) {
    margin: 0 0 0 30rem;
  }
}

.primary-button-accent {
  background-color: var(--primary-color);
  border: none;
  border-radius: 10px;
  font-size: 18px;
  padding: 16px 32px;
  color: var(--background-color);
  line-height: 125%;
  font-weight: 600;
  cursor: pointer;
}

.primary-button-dark {
  background-color: var(--dark);
  border: none;
  border-radius: 10px;
  font-size: 18px;
  padding: 16px 32px;
  color: var(--background-color);
  line-height: 125%;
  font-weight: 600;
  cursor: pointer;
}

.primary-button-disabled {
  background-color: var(--text-color-old);
  border: none;
  border-radius: 10px;
  font-size: 18px;
  padding: 16px 32px;
  color: white;
  line-height: 125%;
  font-weight: 600;
}

.primary-button-disabled-full {
  background-color: var(--text-color-old);
  border: none;
  border-radius: 10px;
  font-size: 18px;
  padding: 16px 32px;
  color: white;
  line-height: 125%;
  font-weight: 600;
  width: 100%;
}

.primary-button-accent-full {
  background-color: var(--primary-color);
  border: none;
  border-radius: 10px;
  font-size: 18px;
  padding: 16px 32px;
  color: var(--background-color);
  line-height: 125%;
  font-weight: 600;
  cursor: pointer;
  width: 100%;
}

.primary-button-dark-full {
  background-color: var(--dark);
  border: none;
  border-radius: 10px;
  font-size: 18px;
  padding: 16px 32px;
  color: var(--background-color);
  line-height: 125%;
  font-weight: 600;
  width: 100%;
  cursor: pointer;
}

.secondary-button-dark {
  border: 2px solid var(--dark);
  border-radius: 10px;
  font-size: 18px;
  padding: 16px 32px;
  color: var(--dark);
  line-height: 125%;
  font-weight: 600;
  cursor: pointer;
  background: none;
}

.secondary-button-dark-full {
  border: 2px solid var(--dark);
  border-radius: 10px;
  font-size: 18px;
  padding: 16px 32px;
  color: var(--dark);
  line-height: 125%;
  font-weight: 600;
  cursor: pointer;
  width: 100%;
  background: none;
}

.secondary-button-accent {
  border: 2px solid var(--primary-color);
  border-radius: 10px;
  font-size: 18px;
  padding: 16px 32px;
  color: var(--primary-color);
  line-height: 125%;
  font-weight: 600;
  cursor: pointer;
  background: none;
}

.tertiary-button-dark {
  background: none;
  border: none;
  font-size: 18px;
  padding: 16px 32px;
  color: var(--dark);
  line-height: 125%;
  /* font-weight: 600; */
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 8px;
  cursor: pointer;
  text-decoration: none;
}

.tertiary-underline-button-dark {
  background: none;
  border: none;
  font-size: 18px;
  padding: 16px 32px;
  color: var(--dark);
  line-height: 125%;
  /* font-weight: 600; */
  cursor: pointer;
  text-decoration: underline;
}

.unstyled-button {
  background: none;
  border: none;
  font-size: 1rem;
  color: var(--text-color);
  padding: 10px 5px;
  width: 100%;
  /* border-radius: 10px; */
  text-align: left;
  cursor: pointer;
}

.unstyled-button:hover {
  background-color: var(--light-transparent);
}

.plain-link {
  text-decoration: none;
  color: var(--dark);
}

.equal-gap {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}

.equal-gap-26 {
  display: flex;
  flex-direction: column;
  gap: 1.6rem;
}

.bananas-img {
  position: absolute;
  left: 0;
  transform: translate(0, -12rem);
}

.peppers-img {
  position: absolute;
  right: 0;
  transform: translate(0, -12rem);
}

.avatar-container {
  position: relative;
  width: 100px;
  height: 100px;
}
